<sqtm-core-entity-view-wrapper>
  @if (componentData$ | async; as componentData) {
    @if (componentData.execution.executionMode === 'AUTOMATED') {
      <sqtm-app-automated-execution-page
        class="full-width"
        (executionDeleted)="back()"
      >
        <sqtm-core-back-button class="m-t-6" (buttonPressed)="back()">
        </sqtm-core-back-button>
      </sqtm-app-automated-execution-page>
    } @else {
      <sqtm-app-execution-page class="full-width" (executionDeleted)="back()">
        <sqtm-core-back-button class="m-t-6" (buttonPressed)="back()">
        </sqtm-core-back-button>
      </sqtm-app-execution-page>
    }
  }
</sqtm-core-entity-view-wrapper>
